Plesk\backup\Agent\Schema\Backup\DomainTemplate\DomainTemplateAType:
    properties:
        name:
            expose: true
            access_type: public_method
            serialized_name: name
            accessor:
                getter: getName
                setter: setName
            xml_attribute: true
            type: string
        shared:
            expose: true
            access_type: public_method
            serialized_name: shared
            accessor:
                getter: getShared
                setter: setShared
            xml_attribute: true
            type: string
        guid:
            expose: true
            access_type: public_method
            serialized_name: guid
            accessor:
                getter: getGuid
                setter: setGuid
            xml_attribute: true
            type: string
        externalId:
            expose: true
            access_type: public_method
            serialized_name: external-id
            accessor:
                getter: getExternalId
                setter: setExternalId
            xml_attribute: true
            type: string
        ownerGuid:
            expose: true
            access_type: public_method
            serialized_name: owner-guid
            accessor:
                getter: getOwnerGuid
                setter: setOwnerGuid
            xml_attribute: true
            type: string
        isAddon:
            expose: true
            access_type: public_method
            serialized_name: is-addon
            accessor:
                getter: getIsAddon
                setter: setIsAddon
            xml_attribute: true
            type: string
        templateItem:
            expose: true
            access_type: public_method
            serialized_name: template-item
            xml_element:
                cdata: false
            accessor:
                getter: getTemplateItem
                setter: setTemplateItem
            xml_list:
                inline: true
                entry_name: template-item
            type: array<Plesk\backup\Agent\Schema\Backup\TemplateItem>
        templatePlanItem:
            expose: true
            access_type: public_method
            serialized_name: template-plan-item
            xml_element:
                cdata: false
            accessor:
                getter: getTemplatePlanItem
                setter: setTemplatePlanItem
            xml_list:
                inline: true
                entry_name: template-plan-item
            type: array<Plesk\backup\Agent\Schema\Backup\TemplatePlanItem>
        logrotation:
            expose: true
            access_type: public_method
            serialized_name: logrotation
            xml_element:
                cdata: false
            accessor:
                getter: getLogrotation
                setter: setLogrotation
            type: Plesk\backup\Agent\Schema\Backup\Logrotation
        description:
            expose: true
            access_type: public_method
            serialized_name: description
            xml_element:
                cdata: false
            accessor:
                getter: getDescription
                setter: setDescription
            type: string
        apsBundle:
            expose: true
            access_type: public_method
            serialized_name: aps-bundle
            xml_element:
                cdata: false
            accessor:
                getter: getApsBundle
                setter: setApsBundle
            type: Plesk\backup\Agent\Schema\Backup\ApsBundle
        phpSettings:
            expose: true
            access_type: public_method
            serialized_name: php-settings
            xml_element:
                cdata: false
            accessor:
                getter: getPhpSettings
                setter: setPhpSettings
            type: Plesk\backup\Agent\Schema\Backup\PhpSettings
        defaultDbServers:
            expose: true
            access_type: public_method
            serialized_name: default-db-servers
            xml_element:
                cdata: false
            accessor:
                getter: getDefaultDbServers
                setter: setDefaultDbServers
            type: array<Plesk\backup\Agent\Schema\Backup\DbServer>
            xml_list:
                inline: false
                entry_name: db-server
                skip_when_empty: true
